#include<stdio.h>
int main()
{
	double z1, z2, z3, s;
	printf ("azlae mosalas ra be tartib vared konid : ");
	scanf("%lf %lf %lf", &z1, &z2, &z3);
	if((z1 * z1 == z2 * z2 + z3 * z3) || (z2 * z2 == z1 * z1 + z3 * z3) || (z3 * z3 == z1 * z1 + z2 * z2))
	{
		if (z3 > z2 && z3 > z1)
			s = z1 * z2 / 2;
		else if (z2 > z3 && z2 > z1)
			s = z1 * z3 / 2;
		else if (z1 > z3 && z1 > z2)
			s = z2 * z3 / 2;
		printf("\nghaem zavie va Masahat = %g", s);
	}
	else
		printf("\nMohit = %g", z1 + z2 + z3);
	getch();
}

